Bug 50011 - xterm menus do not work after upgrade
xterm menus do not work after upgrade
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-25 18:46 EDT by ken_laird
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-26 13:06:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ken_laird 2001-07-25 18:46:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.2-2smp i686)

Description of problem:
I have noticed that the menus in xterm which are supposed to popup when
<CTRL> is held down and one of the mouse buttons is pressed do not work on
machines that have been upgraded from Redhat 6.2 or 7.0 to Redhat 7.1. 
They do work on machines that have been installed directly to Redhat 7.1.

How reproducible:
Always

Steps to Reproduce:
1.  Install Redhat 6.2 or 7.0 on a box.
2.  Using the Redhat 7.1 boot disk and CD media, upgrade to 7.1.
3. Start xterm from a terminal window.
4.  Press <CTRL><Mouse button 1> (or 2 or 3) with the cursor in the xterm
window.

	

Actual Results:  The menus that should pop up do not.

Additional info:
Comment 1 ken_laird 2001-07-26 13:06:22 EDT
	I think I may have found the answer to this.  Examining the packages the
upgrade installed on the machines where the xterm menus do not popup with a
machine that I upgraded using the 
kickstart method, I found that qt-Xt-2.3.0-3 did not get installed on the
machines with the problem.
After installing that package on one of them, logging out and back in, xterm
worked properly.  I have installed that package on the other machine with the
problem and am waiting for the user to logout and back on to verify that it
worked.
Comment 2 Mike A. Harris 2001-07-26 16:02:48 EDT
I just confirmed that the menu's do work, at least in our rawhide
XFree86 4.1.0, so if it doesn't work in 4.0.3, it is at least fixed in
rawhide.

Just realized my other box has 4.0.3 on it, and checked and it works
there too...

Note You need to log in before you can comment on or make changes to this bug.